org.eclipse.wst.jsdt.chromium

## Interface TextStreamPosition

    public interface TextStreamPosition

A structure that defines position within text stream (file). There are 2 possible notations: offset from the beginning of the stream (in characters) and line/column pair. This structure contains numbers in both notations.

### Field Summary

Fields
`static int` `NO_POSITION`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getColumn()` Returns 0-based column number within the line.
`int` `getLine()` Returns 0-based line number within the stream/file.
`int` `getOffset()` Returns 0-based offset from the beginning of the stream/file measured in Unicode characters.

### Field Detail

#### NO_POSITION

    static final int NO_POSITION

See Also:
  Constant Field Values

### Method Detail

#### getOffset

    int getOffset()

Returns 0-based offset from the beginning of the stream/file measured in Unicode characters.

Returns:
  offset from the beginning of the stream/file or `NO_POSITION` if value is not available

#### getLine

    int getLine()

Returns 0-based line number within the stream/file.

Returns:
  0-based line number or `NO_POSITION` if value is not available

#### getColumn

    int getColumn()

Returns 0-based column number within the line.

Returns:
  0-based column number or `NO_POSITION` if value is not available